Create Version
POST
https://api.youvico.com/api/skills/:id/versions- MCP Tool
- Not Supported
- Rate Limit
- Tier 3
- Scope
- skills:write
Creates a skill version from a skill package. The new version becomes the default version.
Only skills whose source is WORKSPACE can be changed.
The package follows the same format as Create Skill.
The front matter name in SKILL.md must match the skill name.
Example
curl -X POST 'https://api.youvico.com/api/skills/SK1234567890ABCD/versions' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'file=@review-helper.zip'
{
"data": {
"id": "SV1234567890ABCD"
}
}
Request
curl -X POST 'https://api.youvico.com/api/skills/SK1234567890ABCD/versions' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-F 'file=@review-helper.zip'
Response201 Created
{
"data": {
"id": "SV1234567890ABCD"
}
}
Request
Path
idstringrequiredSkill ID
Body
Send the package as multipart/form-data.
filefilerequiredMaximum 25 MB (25,000,000 bytes), 500 files
Skill package zip. Its unzipped total size must also be 25 MB or less
Response
Returns 201 Created.
dataobjectCreated version
data.idstringID of the created version
Example: SV1234567890ABCD